Subject: Re: [PATCH v5 4/4] init: provide useful advice about init.defaultBranch

From: Junio C Hamano <[email-masked]>
Date: Tue, 02 Feb 2021 14:25:01 -0800

SZEDER Gábor <[email-masked]> writes:

>> -		"${GIT_TEST_INSTALLED:-$GIT_EXEC_PATH}/git$X" init \
>> +		"${GIT_TEST_INSTALLED:-$GIT_EXEC_PATH}/git$X" -c \
>> +			init.defaultBranch="${GIT_TEST_DEFAULT_INITIAL_BRANCH_NAME-master}" \
>> +			init \
>>  			"--template=$GIT_BUILD_DIR/templates/blt/" >&3 2>&4 ||
>
> This breaks GIT_TEST_INSTALLED when the given Git version doesn't yet
> contain 8b1fa77867 (Allow passing of configuration parameters in the
> command line, 2010-03-26):

Yes, but test-installed is about running an old version of Git on
the current Git test suite.  In the tests we make liberal use of
"git -c <var>=<val>", which such an old version of Git has no chance
of passing.  So...